Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.fonts
Class CharactersetEncoder

    java.lang.Object
      org.apache.fop.afp.fonts.CharactersetEncoder

    public abstract class CharactersetEncoder

extends java.lang.Object

An abstraction that wraps the encoding mechanism for encoding a Unicode character sequence into a specified format.

Nested Class Summary
`static class` | `CharactersetEncoder.EncodedChars` A container for encoded character bytes

Method Summary
`static CharactersetEncoder.EncodedChars` | `encodeSBCS(java.lang.CharSequence chars, java.lang.String encoding)` Encodes `chars` into a format specified by `encoding`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### encodeSBCS

    public static CharactersetEncoder.EncodedChars encodeSBCS(java.lang.CharSequence chars,
                                                              java.lang.String encoding)
                                                       throws java.nio.charset.CharacterCodingException

  Encodes `chars` into a format specified by `encoding`.

  Parameters:
    `chars` - the character sequence
    `encoding` - the encoding type
  Returns:
    encoded data
  Throws:
    `java.nio.charset.CharacterCodingException` - if encoding fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.